yaml_document_s Struct Reference
Nodes

The document structure. More...

`#include <yaml.h>`

## Data Fields

struct { |
yaml_node_t * start |
| The beginning of the stack.
yaml_node_t * end |
| The end of the stack.
yaml_node_t * top |
| The top of the stack.
} | nodes
| The document nodes.
yaml_version_directive_t * | version_directive
| The version directive.
struct { |
yaml_tag_directive_t * start |
| The beginning of the tag directives list.
yaml_tag_directive_t * end |
| The end of the tag directives list.
} | tag_directives
| The list of tag directives.
int | start_implicit
| Is the document start indicator implicit?
int | end_implicit
| Is the document end indicator implicit?
yaml_mark_t | start_mark
| The beginning of the document.
yaml_mark_t | end_mark
| The end of the document.

## Detailed Description

The document structure.

The documentation for this struct was generated from the following file:

- yaml.h